## android-platform-development 8.1.0+r23

=== clion/frameworks/native/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(native)
add_subdirectory(services/surfaceflinger)
add_subdirectory(libs/ui/libui-arm64-android)
add_subdirectory(libs/gui/libgui-arm64-android)
