## android-platform-development 6.0.1+r16

=== debian/changelog ===
android-platform-development (6.0.1+r16-1) unstable; urgency=medium

  * Initial release (Closes: #814964)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 17 Feb 2016 16:03:21 +0800
