=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:6.0.1+r16~) [amd64 i386],
-               android-platform-build-headers (>= 1:6.0.1+r16~) [amd64 i386],
+Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: android-libetc1-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-platform-build-headers (>= 1:6.0.1+r55~) [amd64 i386],
                debhelper (>=9),
                dh-exec,
                libpng-dev [amd64 i386],
                pandoc [amd64 i386]
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/development
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git
