=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -include android/arch/AndroidConfig.h
export DEB_LDFLAGS_MAINT_APPEND = -fPIC
UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

%:
	dh $@

override_dh_auto_build:
	make -f debian/etc1tool.mk
	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md

override_dh_auto_clean:
	dh_auto_clean
	make clean -f debian/etc1tool.mk
	$(RM) debian/*.1

get-orig-source:
	uscan --download-current-version --force-download
