## android-platform-development 7.0.0+r1

=== debian/changelog ===
android-platform-development (7.0.0+r1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Unify the maintainer name to "Android Tools Maintainers"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 06 Dec 2016 22:03:10 +0800

android-platform-development (7.0.0+r1-1) experimental; urgency=medium

  * New upstream release
  * New patch: typos.patch
  * Update to debhelper 10
  * Enable builds for ARM & MIPS
  * d/copyright: Exclude "prebuilt"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 01 Oct 2016 14:18:02 +0800
