=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
+           Hans-Christoph Steiner <hans@eds.org>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:7.0.0+r1~),
+Build-Depends: android-libetc1-dev (>= 1:7.0.0+r33~),
                debhelper (>= 10),
                libpng-dev (>= 1.6),
                pandoc
