## android-platform-development 8.1.0+r23

=== debian/changelog ===
android-platform-development (8.1.0+r23-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 15:30:21 +0100

android-platform-development (8.1.0+r23-1) unstable; urgency=medium

  [ Saif Abdul Cassim ]
  * New upstream release
  * Fixed FTCBFS thanks to Helmut Grohne (Closes: #870766)
  * Switch to Salsa
  * Debhelper compat level => 11

  [ Kai-Chung Yan ]
  * Standards-Version => 4.2.1

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 15 Oct 2018 15:53:02 +0800
