=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,8 @@
 	dh $@
 
 override_dh_auto_build:
-	make -f debian/etc1tool.mk
+	dh_auto_build --buildsystem=makefile -- -f debian/etc1tool.mk
 	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make clean -f debian/etc1tool.mk
-	$(RM) debian/*.1
 
 get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
 	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
