=== debian/changelog ===
android-platform-development (10.0.0+r36-1) unstable; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * d/watch: Update rule to get new upstream version

  [ Hans-Christoph Steiner ]
  * New upstream version
  * ndk is no longer included in the source
  * Rules-Requires-Root: no

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Jan 2021 09:00:53 +0100
