=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
-           Hans-Christoph Steiner <hans@eds.org>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:7.0.0+r33~),
-               debhelper (>= 10),
+Build-Depends: android-libetc1-dev (>= 1:8.1.0+r23),
+               debhelper (>= 11),
                libpng-dev (>= 1.6),
-               pandoc
-Standards-Version: 3.9.8
+               pandoc,
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://android.googlesource.com/platform/development
-Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-development.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-development
 
 Package: etc1tool
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
