=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=makefile -- -f debian/etc1tool.mk
-	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md
+	pandoc --standalone --from=markdown-smart --to=man --output=debian/etc1tool.1 debian/etc1tool.1.md
 
 get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
 	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
